--[ MUSIC TYPES ]
MusicType_LastDungeon	= 0x03;
MusicType_VsDragon		= 0x04;
MusicType_Opening		= 0x05;
MusicType_Village		= 0x06;
MusicType_AdventureZone	= 0x07;
MusicType_DesertZone	= 0x08;
MusicType_Ending		= 0x09;
MusicType_StaffRoll		= 0x0A;
MusicType_Shop			= 0x0B;
MusicType_Beach			= 0x0D;
MusicType_TakeItEasy	= 0x0E;
MusicType_Treasure		= 0x0F;
MusicType_GameOver		= 0x13;
MusicType_MouseFall		= 0x3B;
MusicType_Title			= 0x49;
MusicType_Gallery	    = 0x4A;
MusicType_Intro	    	= 0x4C;

--[ SPECIAL LOCATIONS ]
-- Shop = 1
-- PasswordRoom = 2,
-- Hospital = 3,

Music =
{
	-- TITLE
	{
		Filename = "Title 20161103.ogg",
		Type = MusicType_Title,
		FishStream = true,
		Loop = false,
	},

	-- INTRO
	{
		Filename = "Intro 20170119.ogg",
		Type = MusicType_Intro,
		FishStream = true,
		Loop = false,
	},
	
	-- GALLERY
	{
		Filename = "Gallery 20170210 - Mix3 (4069098).ogg", LoopPointSample = 4069098,
		Type = MusicType_Gallery,
		FishStream = true,
		Volume = 1.0,
	},

	-- TREASURE
	{
		Filename = "Treasure 20161208 - Mix3 (24054).ogg", LoopPointSample = 24054,
		Type = MusicType_Treasure,
		FishStream = true,
	},
	
	-- VILLAGE
	{
		Filename = "Village 20161208 - Mix2 (120273).ogg", LoopPointSample = 120273,
		Type = MusicType_Village,
		FishStream = true,
	},
	
	-- ADVENTURE ZONE
	{
		Filename = "AdventureZone 20161223 - Mix4 (268435).ogg", LoopPointSample = 268435,
		Type = MusicType_AdventureZone,
		FishStream = true,
	},
	{
		Filename = "AdventureZone Piano 20170201 (79380).ogg", LoopPointSample = 79380,
		Locations = { 184,185,186,187,  188,189,190,191,  200,201,202,203,  204,205,206,207 }, -- Mouse/Human Secret
		Type = MusicType_AdventureZone,
		FishStream = true,
	},
	
	-- LAST DUNGEON / MONSTERLAND
	{
		Filename = "Monsterland 20161208 - Mix2 (458640).ogg", LoopPointSample = 458640,
		Type = MusicType_LastDungeon,
		FishStream = true,
	},
	{
		Filename = "Monsterland 20170618 - Houlala 14 (321930).ogg", LoopPointSample = 321930,
		Locations = { 93,94,95,96,97,98,99 }, -- old_castle
		Type = MusicType_LastDungeon,
		FishStream = true,
	},
	
	-- BOSS: MEKA
	{
		Filename = "VsDragon Meka 20161223 - Mix3 (156334).ogg", LoopPointSample = 156334,
		Type = MusicType_VsDragon,
		FishStream = true,
		Locations = { 165 },
	},

	-- BOSS: MUMMY
	{
		Filename = "VsDragon Pyramide  20161208 - Mix2 (128520).ogg", LoopPointSample = 128520,
		Type = MusicType_VsDragon,
		FishStream = true,
		Locations = { 166 },
	},

	-- BOSS: ZOMBIE
	{
		Filename = "VsDragon MouseTower 20161223 - Mix2 (90720).ogg", LoopPointSample = 90720,
		Type = MusicType_VsDragon,
		FishStream = true,
		Locations = { 167 },
	},

	-- BOSS: PIRATE
	{
		Filename = "VsDragon PirateShip 20161223 - Mix3 (60480).ogg", LoopPointSample = 60480,
		Type = MusicType_VsDragon,
		FishStream = true,
		Locations = { 168 },
	},

	-- BOSS: DAYMIO
	{
		Filename = "VsDragon Japan 20161208 - Mix2 (120960).ogg", LoopPointSample = 120960,
		Type = MusicType_VsDragon,
		FishStream = true,
		Locations = { 169 },
	},

	-- BOSS: VAMPIRE
	{
		Filename = "VsDragon Palace 20161208 - Mix2 (105840).ogg", LoopPointSample = 105840,
		Type = MusicType_VsDragon,
		FishStream = true,
		Locations = { 170 },
	},

	-- BONUS D (LION)
	{
		Filename = "VsDragon Japan 20161208 - Mix2 (120960).ogg", LoopPointSample = 120960,
		Locations = { 196, 197, 198, 199 },
		Type = MusicType_VsDragon,
		FishStream = true,
	},

	-- DESERT
	{
		Filename = "Desert 20161223 - Mix4 (635040).ogg", LoopPointSample = 635040,
		FishStream = true,
		Type = MusicType_DesertZone,
	},
	
	-- BEACH
	{
		Filename = "Beach 20161208 - Mix2 (106312).ogg", LoopPointSample = 106312,
		Type = MusicType_Beach,
		FishStream = true,
	},
	
	-- OPENING / AND NOW
	{
		--Filename = "Opening 20151129 - and now orch.ogg",
		--Filename = "Opening 20160821 - hybride 3.ogg",
		Filename = "Opening 20161208 - Mix3 (version lite).ogg",
		Type = MusicType_Opening,
		FishStream = true,
		Loop = false,
	},
	
	-- SHOP
	{
		Filename = "Shop 20160913 - Mix1.ogg",
		Type = MusicType_Shop,
		FishStream = true,
	},

	-- HOSPITAL
	{
		Filename = "Shop 20160904 - Hospital.ogg",
		Type = MusicType_Shop, SpecialLoc = 3,
		FishStream = true,
	},

	-- STAFF
	{
		Filename = "Staff 20170612 - Funky 8 (81489).ogg", LoopPointSample = 81489,
		Type = MusicType_StaffRoll,
		FishStream = true,
	},

	-- DUNGEON: PYRAMID
	{
		Filename = "TakeItEasy Pyramide 20161223 - Mix3 (569908).ogg", LoopPointSample = 569908,
		Locations = { 101, 102, 103, 104, 105 }, -- Pyramid
		Type = MusicType_TakeItEasy,
		FishStream = true,
	},
	
	-- DUNGEON: ZOMBIE/MOUSE
	{
		Filename = "TakeItEasy MouseTower 20161223 - Mix2 (255552).ogg", LoopPointSample = 255552,
		Locations = { 108, 109, 110, 111, 112, 113, 114, 115, 116, 117, 118 }, -- Zombie Tower
		FishStream = true,
		Type = MusicType_TakeItEasy,
	},

	-- DUNGEON: PIRATE SHIP
	{
		Filename = "TakeItEasy Pirate 20161223 - Mix2 (336797).ogg", LoopPointSample = 336797,
		Type = MusicType_TakeItEasy,
		FishStream = true,
		Locations = { 119, 120, 121, 122, 123, 124,  194 }, -- Ship + Secret
	},

	-- DUNGEON: JAPAN (OUTSIDE)
	{
		Filename = "JapanGarden 20170210 - Music (306036).ogg", LoopPointSample = 306036,
		Volume = 1.0,
		Type = MusicType_TakeItEasy,
		FishStream = true,
		Locations = { 125, 126, 127 }, -- Garden
	},
	
	-- DUNGEON: JAPAN (INSIDE)
	{
		Filename = "TakeItEasy Japan  20161208 - Mix2 (424776).ogg", LoopPointSample = 424776,
		Locations = { 128, 129, 130, 131, 132, 133, 134 }, -- Daimyo Temple
		Type = MusicType_TakeItEasy,
		FishStream = true,
	},

	-- DUNGEON: PALACE (PART 1)
	{
		Filename = "TakeItEasy Palace A 20161208 - Mix2 (70796).ogg", LoopPointSample = 70796,
		Locations = { 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150 }, -- Palace (part 1)
		Type = MusicType_TakeItEasy,
		FishStream = true,
	},

	-- DUNGEON: PALACE (PART 2)
	{
		Filename = "TakeItEasy Palace B 20161223 - Mix4 (35398).ogg", LoopPointSample = 35398,
		Locations = { 151, 152, 153, 154, 155, 156, 157, 158 }, -- Palace (part 2)
		Type = MusicType_TakeItEasy,
		FishStream = true,
	},

	-- GAME OVER
	{
		Filename = "GameOver 20160414.ogg",
		Type = MusicType_GameOver,
		FishStream = true,
		Loop = false
	},
	
	-- ENDING
	{
		--Filename = "Ending 20161208 - mix 2.ogg",
		Filename = "EndingB 20161223 - Mix1.ogg",
		Type = MusicType_Ending,
		FishStream = true,
		Loop = false,
	},

	-- MOUSE FALL
	{
		Filename = "MouseFall 20161208 - Mix2.ogg",
		Type = MusicType_MouseFall,
		FishStream = true,
		Loop = false,
	},
}

RetroMusicPSG =
{
	{ Type = MusicType_LastDungeon,		Filename = "original_psg/03_Monsterland.ogg", LoopPointSample = 283480, 	},
	{ Type = MusicType_VsDragon,		Filename = "original_psg/04_VsDragon.ogg", LoopPointSample = 14011,		},
	{ Type = MusicType_Opening,			Filename = "original_psg/05_Opening.ogg", Loop = false, },
	{ Type = MusicType_Village, 		Filename = "original_psg/06_Village.ogg", LoopPointSample = 23474, },
	{ Type = MusicType_AdventureZone, 	Filename = "original_psg/07_AdventureZone.ogg", LoopPointSample = 0, },
	{ Type = MusicType_DesertZone, 		Filename = "original_psg/08_DesertZone.ogg", LoopPointSample = 564434, },
	{ Type = MusicType_Ending, 			Filename = "original_psg/09_Ending.ogg", Loop = false, },
	{ Type = MusicType_StaffRoll,		Filename = "original_psg/0A_StaffRoll.ogg", },
	{ Type = MusicType_Shop,			Filename = "original_psg/0B_Shop.ogg", LoopPointSample = 0, },
	{ Type = MusicType_Beach,			Filename = "original_psg/0D_Beach.ogg", LoopPointSample = 24610, },
	{ Type = MusicType_TakeItEasy,		Filename = "original_psg/0E_TakeItEasyDungeon.ogg", LoopPointSample = 282116, },
	{ Type = MusicType_Treasure,		Filename = "original_psg/0F_Treasure.ogg", LoopPointSample = 0,	},
	{ Type = MusicType_GameOver,		Filename = "original_psg/13_GameOver.ogg", Loop = false, },
	{ Type = MusicType_MouseFall,		Filename = "original_psg/3B_MouseFall.ogg", Loop = false, },
	{ Type = MusicType_Title,			Filename = "original_psg/49_Title.ogg", Loop = false, },
	{ Type = MusicType_Intro,			Filename = "00_Blank.wav", Loop = false, } -- Dummy so that Modern version doesn't play when we are in Retro Music mode
}

RetroMusicOPL =
{
	{ Type = MusicType_LastDungeon,		Volume = 1.7, Filename = "original_opl/03_Monsterland.ogg", LoopPointSample = 283430	},
	{ Type = MusicType_VsDragon,		Volume = 1.7, Filename = "original_opl/04_VsDragon.ogg", LoopPointSample = 31926,	},
	{ Type = MusicType_Opening,			Volume = 1.7, Filename = "original_opl/05_Opening.ogg", Loop = false, },
	{ Type = MusicType_Village, 		Volume = 1.7, Filename = "original_opl/06_Village.ogg", LoopPointSample = 23474, },
	{ Type = MusicType_AdventureZone, 	Volume = 1.7, Filename = "original_opl/07_AdventureZone.ogg", LoopPointSample = 0, },
	{ Type = MusicType_DesertZone, 		Volume = 1.7, Filename = "original_opl/08_DesertZone.ogg", LoopPointSample = 564434, },
	{ Type = MusicType_Ending, 			Volume = 1.7, Filename = "original_opl/09_Ending.ogg", Loop = false, },
	{ Type = MusicType_StaffRoll,		Volume = 1.7, Filename = "original_opl/0A_StaffRoll.ogg", },
	{ Type = MusicType_Shop,			Volume = 1.7, Filename = "original_opl/0B_Shop.ogg", LoopPointSample = 0, },
	{ Type = MusicType_Beach,			Volume = 1.7, Filename = "original_opl/0D_Beach.ogg", LoopPointSample = 24272, },
	{ Type = MusicType_TakeItEasy,		Volume = 1.7, Filename = "original_opl/0E_TakeItEasyDungeon.ogg", LoopPointSample = 282680, },
	{ Type = MusicType_Treasure,		Volume = 1.7, Filename = "original_opl/0F_Treasure.ogg", LoopPointSample = 0,	},
	{ Type = MusicType_GameOver,		Volume = 1.7, Filename = "original_opl/13_GameOver.ogg", Loop = false, },
	{ Type = MusicType_MouseFall,		Volume = 1.7, Filename = "original_opl/3B_MouseFall.ogg", Loop = false, },
	{ Type = MusicType_Title,			Volume = 1.7, Filename = "original_psg/49_Title.ogg", Loop = false, },	-- PSG only
	{ Type = MusicType_Intro,			Filename = "00_Blank.wav", Loop = false, } -- Dummy so that Modern version doesn't play when we are in Retro Music mode
}
